<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * # Author: Alexandre Proença e-mail alexandre@mandriva.com.br
 * # Date: 11/20/2012
 * # Last Change: 11/28/2012
 * # Description: This file call python methods by xml-rpc
 * #
 *
 */
?>
<?php

/////GET LISTS TO DISPLAY///////////////////
function get_httpConfig(){
    return xmlCall("apache.getHttpConfig",null);
}
function get_httpModules(){
    return xmlCall("apache.getHttpModules",null);
}

function get_list($list){
    return xmlCall("apache.get_list",$list);
}
///////////////SET///////////////////////

function set_httpConfig($domainname,$port,$docroot,$emailadm,$loglevel){
    return xmlCall("apache.setHttpConfig",array($domainname,$port,$docroot,$emailadm,$loglevel));
}

function set_virtualHost($fqdn,$ssl,$adminuser,$share,$email,$desc,$certificatefile,$certificatekey,$certificateca,$ssldefault){
    
    #FIXME the python module should take care of group inclusion of user.
    foreach ($adminuser as &$user) {
        $param[]=apache;
        $param[]=$user;
        xmlCall('base.addUserToGroup', $param);
        unset($param);
    }
    
    return xmlCall("apache.setVirtualHost",array($fqdn,$ssl,$adminuser,$share,$email,$desc,$certificatefile,$certificatekey,$certificateca,$ssldefault));
}

///////////////ADD/////////////////////////////////

function addElementInVirtualList($element,&$arrBlackList) {
    return xmlCall("apache.addVirtualElement",$element);
}

//////////// DEL///////////////////////////////////

function delElementInAppList($element,&$arrBlackList) {
    return xmlCall("apache.delAppElement",$element);
}

function delElementInVirtualList($element,$rmdir) {
    return xmlCall("apache.delVirtualElement",array($element,$rmdir));
}

////////ACTIONS /////////
function reloadService(){
    return xmlCall("apache.reloadtHttp",null);
}

function changeState($element,&$arrBlackList) {
    return xmlCall("apache.changeState",$element);
}
?>
