<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com/
 *
 * $Id$
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/* $Id$ */

require("modules/apache/includes/http.inc.php");
require("modules/apache/includes/config.inc.php");
require("modules/samba4/includes/shares-xmlrpc.inc.php");


if (isset($_POST["btn_del"])) {
    delElementInVirtualList($_POST["servername"],$_POST["delFiles"]);
    
    
    if (!isXMLRPCError()) {
        $str = sprintf(_T("Virtual domain %s deleted"), $_POST["servername"]);
        new NotifyWidgetSuccess($str);
	header("Location: " . urlStrRedirect("apache/webmanager/virtualdomain"));
	exit;
    } else {
	new NotifyWidgetFailure(sprintf(_T("Error to demove %s domain folder"), $_POST["servername"]));
	header("Location: " . urlStrRedirect("apache/webmanager/virtualdomain"));    
	exit;    
    }

} else {
    $servername = urldecode($_GET["servername"]);
    $share = urldecode($_GET["servername"]);
    $f = new PopupForm(_T(" "));
    $f->addText(sprintf(_T("Remove virtual domain <b>%s</b> ? "),$servername));
    $cb = new CheckboxTpl("delFiles", _T(" Delete virtual domain share and data"));
    $f->add($cb, array("value" => ""));
    $hidden = new HiddenTpl("servername");
    $f->add($hidden, array("value" => $servername, "hide" => True));
    $f->addValidateButton("btn_del");
    $f->addCancelButton("bback");
    $f->display();
}
?>
